MultipleMatchesException (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.file.match.MultipleMatchesException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.file.match
Class MultipleMatchesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tools.ant.BuildException
                      org.hyperic.util.file.match.MultipleMatchesException

All Implemented Interfaces:
  java.io.Serializable

    public class MultipleMatchesException

extends org.apache.tools.ant.BuildException

This exception is thrown by the MatcherScanner class when it detects multiple matchselectors have matched a single path. This will only be thrown if the matchconfig had its allowMultiplMatches attribute set to false.

See Also:
  Serialized Form

Constructor Summary
`MultipleMatchesException(java.io.File multiplyMatchedPath, MatchSelector[] matchers)`

Method Summary
`MatchSelector[]` | `getMatchers()` Get the MatchSelectors that matched this path.
`java.io.File` | `getPath()` Get the path that multiple selectors matched on.
`java.lang.String` | `getPathString()` Get the absolute path String that multiple selectors matched on.

Methods inherited from class org.apache.tools.ant.BuildException
`getCause, getException, getLocation, printStackTrace, printStackTrace, printStackTrace, setLocation, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipleMatchesException

    public MultipleMatchesException(java.io.File multiplyMatchedPath,
                                    MatchSelector[] matchers)

Method Detail

### getPath

    public java.io.File getPath()

  Get the path that multiple selectors matched on.

### getPathString

    public java.lang.String getPathString()

  Get the absolute path String that multiple selectors matched on.

### getMatchers

    public MatchSelector[] getMatchers()

  Get the MatchSelectors that matched this path.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.